![](https://raw.githubusercontent.com/hoobs-org/HOOBS/master/docs/logo.png)
## Welcome to HOOBS
Pronounced as "huːbz"  

HOOBS a Homebridge stack with a interface that simplifies configuration and installing plugins. This adds a process wrapper for [Homebridge](https://github.com/nfarina/homebridge). It also adds an API that can be used as an endpoint for an application.

![](https://raw.githubusercontent.com/hoobs-org/HOOBS/master/docs/interface-light/accessories.png)

HOOBS is not a Homebridge plugin. It is a seperate application designed to be a parent to Homebridge. Since this is independent, it can control Homebridge. This also keeps all of the plugins in one place. No need to install plugins in the global scope, which helps keep your Homebridge server more secure.

## Introduction
HOOBS goal is to make Homebridge more accessible to new inexperienced users and advanced users. To achieve this HOOBS' aim to unify, simplify and make the Homebridge ecosystem more user-friendly.
Starting with a standardized installation in the form of a free downloadable image file that can be easily written to an sdcard. Up to the complete hardware solution which works out of the box.
HOOBS combine hardware and operating system, with server service and user interface for easy installation of your favorite plugins and guide the user with manuals and assistance.

We’re a small team from around the world who are passionate about making the home that you live in a better home – a smart home. That is why we came up with the idea of developing HOOBS which is an out of the box ready to run system for Homebridge. We want to create a solution that even beginners could understand, comfortable with and get a lot of use out of. Our motivation is to serve the homebridge community with a tool that we believe will make their lives easier and we hope our goal will be reached.

## Documentation
* [**Welcome**](https://github.com/hoobs-org/HOOBS/wiki)  
* [**Community**](https://github.com/hoobs-org/HOOBS/wiki/1.0-Community)
* [**Getting Started**](https://github.com/hoobs-org/HOOBS/wiki/2.0-Getting-Started)
  * [**HOOBS Box**](https://github.com/hoobs-org/HOOBS/wiki/2.1-HOOBS-Box)
  * [**HOOBS SD Card**](https://github.com/hoobs-org/HOOBS/wiki/2.2-HOOBS-SD-Card)
  * [**Upgrading HOOBS**](https://github.com/hoobs-org/HOOBS/wiki/2.3-Upgrading-HOOBS)
  * [**Upgrading Manually**](https://github.com/hoobs-org/HOOBS/wiki/2.4-Upgrading-Manually)
  * [**Installing HOOBS**](https://github.com/hoobs-org/HOOBS/wiki/2.5-Installing-from-Scratch)
    * [**macOS**](https://github.com/hoobs-org/HOOBS/wiki/2.5.0-macOS-Installation)
    * [**Fedora**](https://github.com/hoobs-org/HOOBS/wiki/2.5.1-Fedora-Installation)
    * [**Debian**](https://github.com/hoobs-org/HOOBS/wiki/2.5.2-Debian-Installation)
  * [**HOOBS Service**](https://github.com/hoobs-org/HOOBS/wiki/2.6-Running-HOOBS-on-Startup)
  * [**Remote Access**](https://github.com/hoobs-org/HOOBS/wiki/2.7-Remote-Access)
* [**User Interface**](https://github.com/hoobs-org/HOOBS/wiki/3.0-User-Interface)
  * [**Administrator Account**](https://github.com/hoobs-org/HOOBS/wiki/3.1-Administrator-Account)
  * [**Status Dashboard**](https://github.com/hoobs-org/HOOBS/wiki/3.2-Status-Dashboard)
  * [**Accessories**](https://github.com/hoobs-org/HOOBS/wiki/3.3-Accessories)
  * [**Room Layout**](https://github.com/hoobs-org/HOOBS/wiki/3.4-Room-Layout)
  * [**Log**](https://github.com/hoobs-org/HOOBS/wiki/3.5-Log)
  * [**System**](https://github.com/hoobs-org/HOOBS/wiki/3.6-System)
  * [**Plugins**](https://github.com/hoobs-org/HOOBS/wiki/3.7-Plugins)
  * [**Configuration**](https://github.com/hoobs-org/HOOBS/wiki/3.8-Configuration)
  * [**User Accounts**](https://github.com/hoobs-org/HOOBS/wiki/3.9-User-Accounts)
* [**Plugins**](https://github.com/hoobs-org/HOOBS/wiki/4.0-Plugins)
* [**Hardware**](https://github.com/hoobs-org/HOOBS/wiki/5.0-Hardware)
  * [**Certified Hardware**](https://github.com/hoobs-org/HOOBS/wiki/5.1-Certified-Hardware)
  * [**Certified Accessories**](https://github.com/hoobs-org/HOOBS/wiki/5.2-Certified-Accessories)
* [**Developers**](https://github.com/hoobs-org/HOOBS/wiki/6.0-Developers)
  * [**Command Line Interface**](https://github.com/hoobs-org/HOOBS/wiki/6.1-Command-Line-Interface)
  * [**Architecture**](https://github.com/hoobs-org/HOOBS/wiki/6.2-Architecture)
  * [**API Reference**](https://github.com/hoobs-org/HOOBS/wiki/6.3-API-Reference)
  * [**Developing Plugins**](https://github.com/hoobs-org/HOOBS/wiki/6.4-Developing-Plugins)
  * [**Interface Plugins**](https://github.com/hoobs-org/HOOBS/wiki/6.5-Interface-Plugins)
* [**Legal**](https://github.com/hoobs-org/HOOBS/wiki/7.0-Legal)
  * [**Terms & Conditions**](https://github.com/hoobs-org/HOOBS/wiki/7.1-Terms-and-Conditions)
  * [**Shipping & Taxes**](https://github.com/hoobs-org/HOOBS/wiki/7.2-Shipping-and-Taxes)
  * [**Warranty**](https://github.com/hoobs-org/HOOBS/wiki/7.3-Warranty)
* [**Credits**](https://github.com/hoobs-org/HOOBS/wiki/8.0-Credits)

## Legal
HOOBS.org is a department of two4you business solution gmbh

c/o two4you business solution gmbh | Rhypark 8 | CH-5080 Laufenburg | Switzerland

[HOOBS website](https://hoobs.org) | [HOOBS Support Chat](https://m.me/HOOBSofficial) | [HOOBS email](mailto:info@hoobs.org) | [HOOBS Subreddit](https://www.reddit.com/r/hoobs/) | [HOOBS Facebook Page](https://www.facebook.com/HOOBSofficial) | [HOOBS Facebook Support Group](https://www.facebook.com/groups/HOOBSorg/) | [Homebridge Subreddit](https://www.reddit.com/r/homebridge/) 